function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
import _ from 'lodash';
// 在现有时间集合中，增加超过timeSpace的时间
function getSpaceDates(date, dates, timeSpace) {
  if (date instanceof Date === false) {
    return {
      isOverTime: false,
      dates: dates
    };
  }
  if (_.isEmpty(dates)) {
    return {
      isOverTime: true,
      dates: [date]
    };
  }

  // 检查date和dates中的每个日期差距是否超过timeSpace
  var isOverTime = dates.some(function (existingDate) {
    return Math.abs(new Date(date) - new Date(existingDate)) > timeSpace;
  });

  // 否则将新日期加入到dates中并返回新的dates
  if (isOverTime) {
    return {
      isOverTime: true,
      dates: [].concat(_toConsumableArray(dates), [date])
    };
  }

  // 如果传入的date与dates中的任何日期相差小于timeSpace，返回原来的dates
  return {
    isOverTime: false,
    dates: dates
  };
}
export default getSpaceDates;